Summary:	A cpufreq plugin for the Xfce panel
Summary(pl.UTF-8):	Wtyczka cpufreq dla panelu Xfce
Name:		xfce4-cpufreq-plugin
Version:	1.2.1
Release:	1
License:	GPL v2
Group:		X11/Applications
Source0:	http://archive.xfce.org/src/panel-plugins/xfce4-cpufreq-plugin/1.2/%{name}-%{version}.tar.bz2
# Source0-md5:	ccd8f0f7aef51bc4caf1049986d9614f
URL:		http://goodies.xfce.org/projects/panel-plugins/xfce4-cpufreq-plugin
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gettext-tools
BuildRequires:	intltool >= 0.35.5
BuildRequires:	libtool
BuildRequires:	libxfce4ui-devel
BuildRequires:	rpmbuild(macros) >= 1.601
BuildRequires:	xfce4-dev-tools >= 4.14.0
BuildRequires:	xfce4-panel-devel >= 4.14.0
Requires:	gtk-update-icon-cache
Requires:	hicolor-icon-theme
Requires:	xfce4-panel >= 4.14.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This plugin displays the current frequency of the CPU, in GHz or MHz
as necessary. It also displays the frequency relative to the maximum
CPU frequency as an accordingly colored progress bar.

%description -l pl.UTF-8
Ta wtyczka wyświetla aktualną częstotliwość procesora w GHz lub MHz.
Wyświetla także częstotliwość względem maksymalnej częstotliwości
procesora jako odpowiednio pokolorowany pasek.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} -r $RPM_BUILD_ROOT%{_datadir}/locale/ur_PK
%{__rm} $RPM_BUILD_ROOT%{_libdir}/xfce4/panel/plugins/libcpufreq.la

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_icon_cache hicolor

%postun
%update_icon_cache hicolor

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_libdir}/xfce4/panel/plugins/libcpufreq.so*
%{_datadir}/xfce4/panel/plugins/cpufreq.desktop
%{_iconsdir}/hicolor/*/*/*.png
%changelog
* Sun Aug 25 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/xfce4-cpufreq-plugin.git;a=log;h=master

* Sun Aug 25 2019 Jan Rękorajski <baggins@pld-linux.org> 72e7e6e
- up to 1.2.1

* Sat Jan 06 2018 Jan Rękorajski <baggins@pld-linux.org> 8a3e407
- up to 1.1.3

* Sat Jan 06 2018 Jan Rękorajski <baggins@pld-linux.org> 5b70795
- /proc/cpuinfo shows only the basic cpu clock speed since kernel 4.13

* Tue Mar 31 2015 Jan Rękorajski <baggins@pld-linux.org> 5553e46
- up to 1.1.1

* Mon Mar 23 2015 Elan Ruusamäe <glen@delfi.ee> 6fb4d50
- x32 rebuild
- release 2 (by relup.sh)

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> 2b26e2d
- updated gettext BR

* Sat Aug 16 2014 Jan Rękorajski <baggins@pld-linux.org> d404f08
- up to 1.1.0

* Thu May 17 2012 Jan Rękorajski <baggins@pld-linux.org> 25ea24e
- release 3

* Tue Mar 01 2011 Jan Rękorajski <baggins@pld-linux.org> 1babd3c
- rel 2
- port to libxfce4ui

* Mon Feb 14 2011 Marcin Banasiak <marcin.banasiak@gmail.com> 9217359
- updated to 1.0.0

* Fri Feb 04 2011 Artur Frysiak <artur@frysiak.net> fb4b02f
- Requires(post,postun): gtk-update-icon-cache

* Tue Apr 24 2007 Jakub Bogusz <qboosh@pld-linux.org> 2ffb1cd
- pl

* Wed Apr 18 2007 Marcin Banasiak <marcin.banasiak@gmail.com> 1b12d2b
- new

